2
回答
KnowledgeTree 安装过程出错

出现如图所示错误怎么办

举报
随缘
发帖于7年前 2回/626阅
共有2个答案 最后回答: 7年前

 

wget http://www.aurore.net/projects/php-json/php-json-ext-1.2.0.tar.bz2

tar xvjf php-json-ext-1.2.0.tar.bz2

cd php-json-ext-1.2.0

phpize

报错了:phpize commend not found

需要安装phpize

这个可以在yum中安装

yum -y install php-devel

如果还不行,说明你的编译工具有问题,安装一下就可以了

yum -y install autoconf

yum -y install automake

yum -y install libtool

运行phpize

(成功了)

./configure

make

make install

查看有没有安装成功

find / -name '*json.so'

./usr/lib/php/modules/json.so

说明已经有了

在php.ini 中include一个文件夹 /etc/php.d

在这个文件中添一个json.ini

vim json.ini

内容如下:

extension=json.so

phpinfo()中您将看到

json support enabled

json version 1.2.0

顶部